Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.runtime
Interface ProcessStatistics

All Superinterfaces:
  Serializable

public interface ProcessStatistics
extends Serializable

Represents runtime statistics for a particular process type.

See Also:
  `{@link ProcessRuntimeMBean#getStatistics}`

Method Summary
`double` | `getAvgExecTime()` Returns the average execution time of the instances that are selected.
`int` | `getNumAborted()` Returns the number of aborted instances of the process represented by this statistics object.
`int` | `getNumAll()` Returns the number of all the instances for which these statistics are returned.
`int` | `getNumCompleted()` Returns the number of successfully completed instances of the process represented by this statistics object.
`int` | `getNumExceededSLA()` Returns the number of instances that exceeded the SLA set for this process.
`int` | `getNumFrozen()` Returns the number of frozen instances of the process represented by this statistics object.
`int` | `getNumRunning()` Returns the number of running instances of the process represented by this statistics object.
`int` | `getNumSuspended()` Returns the number of suspended instances of the process represented by this statistics object.
`int` | `getNumTerminated()` Returns the number of terminated instances of the process represented by this statistics object.
`String` | `getServiceURI()` Returns the service URI of the process for which the statistics are computed

Method Detail

### getServiceURI

    public String getServiceURI()

  Returns the service URI of the process for which the statistics are computed

### getNumRunning

    public int getNumRunning()

  Returns the number of running instances of the process represented by this statistics object.

### getNumSuspended

    public int getNumSuspended()

  Returns the number of suspended instances of the process represented by this statistics object.

### getNumAborted

    public int getNumAborted()

  Returns the number of aborted instances of the process represented by this statistics object.

### getNumCompleted

    public int getNumCompleted()

  Returns the number of successfully completed instances of the process represented by this statistics object.

### getNumExceededSLA

    public int getNumExceededSLA()

  Returns the number of instances that exceeded the SLA set for this process. If there is no SLA set for the process a value of `0` is returned.

### getNumFrozen

    public int getNumFrozen()

  Returns the number of frozen instances of the process represented by this statistics object.

### getNumTerminated

    public int getNumTerminated()

  Returns the number of terminated instances of the process represented by this statistics object.

### getNumAll

    public int getNumAll()

  Returns the number of all the instances for which these statistics are returned. This is merely a sum of running, suspended, aborted, frozen, completed, and terminated instances, and is here for only as convenience.

### getAvgExecTime

    public double getAvgExecTime()

  Returns the average execution time of the instances that are selected.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD